Generate Dynamic QRIS (SNAP)

We need to build one standalone APIs for clients to consume of QRIS product. This API will help clients to create new dynamic QRIS for clients.

Request Parameters

Key ParametersData TypeDescription
Content-TypestringString representing the content type (application/json)
X-CLIENT-KEYstringClient's client_id
X-TIMESTAMPdatetimeClient's current local time in ISO 8601 format
AuthorizationstringOne-time access token generated for the request
X-SIGNATUREStringNon-repudiation & integrity validation checking.

Generated by client and created using asymmetric
signature SHA256withRSA (clientSecret,
stringToSign) with
stringToSign = HTTPMethod
+”:“+ EndpointUrl +":“+
Lowercase(HexEncode(SHA-
256(minify(RequestBody)))) + ":“ +
TimeStamp
X-PARTNER-IDStringBrick's client ID
X-EXTERNAL-IDStringUnique external identifier for the API request that can be found on Brick Dashboard Credentials
CHANNEL-IDStringBrick's channel ID
partnerReferenceNoStringUnique reference number provided by the client to identify the transaction. Maximum length of 25 characters.
amount.valueStringAmount to be processed, represented as a string with two decimal places (e.g., "12345678.00")
amount.currencyStringCurrency of the transaction amount. Set as default to "IDR" (Indonesian Rupiah).
validityPeriodStringValue in seconds. The expiry time must be between 600 seconds (10 minutes) and 86,400 seconds (24 hours) from the creation time.

If not provided, the default expiry time is 24 hours. Any request exceeding 24 hours will be automatically adjusted to 24 hours.

When set to 86,400 seconds (24 hours), the actual expiry time of the generated QRIS may vary between 600 seconds (10 minutes) and 86,400 seconds (24 hours). Please refer to the response for the exact expiry time.

Response Parameters

Key parametersData typeDescription
responseCodeIntegerA code indicating the success or failure of the request, along with the associated reason.
responseMessageStringA message confirming the success of the operation.
referenceNoStringA unique identifier generated for the transaction by the system.
partnerReferenceNoStringA unique identifier provided by the partner to track the transaction.
qrContentStringThe QRIS content string that can be used to generate a QR code for payment purposes.
Body Params
string
required
Defaults to 2025111500000000000001

Unique reference number provided by the partner to identify the transaction. Maximum length of 25 characters)

amount
object
string
required
Defaults to 600

Minimum 600 seconds (10 minutes), maximum 86,400 seconds (24 hours) from the creation time. If not set, the default value will be 86,400 seconds (24 hours)

Headers
string
required
Defaults to application/json

String represents indicate the media type of the resource

string
required
Defaults to 51de24a9-bf41-47eb-aacb-876a5c1ac323

Client’s client_id

date
required
Defaults to 2024-11-15T18:44:33+07:00

Client's current local time in yyyy-MM- ddTHH:mm:ss.SSSTZD format

string
required
Defaults to Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxNjQwIiwiZXhwIjoxNzMxNjYzMDUwLCJuYmYiOjE3MzE2NjIxNTAsImlhdCI6MTczMTY2MjE1MH0.4horeyrklK5JYdAh5KBMK7GS5LbMWPKb-3KA0qDajcg

One time access-token generated using the auth token API

string
required
Defaults to LBNvcwqen4CC4dypLMlyu4JBCzUsbXtefg6SymbEN9vIL08tckTsJkeRo+dGVLB6qC7lRkf60Y1ND1HL2KCp24q8Vz3mSUr8wRxIh9wMRRf6BVRFcZAa3tX5jO0VW58+AEevT/rl9jssm314w70l+6Uivjj8tdbvVv07EUyz775Vx2TUQ9xrdCCe2W+KzbUDsy7YKx/tsOZgbtrOekgH7RL/lmhFrcgk2uheyoo0iIt+zUwaWzjqqfqCPaXcDczgCI8DNAz3cT5GbhJzNLNVYDHlb9OLMN5Dkvgsh8zx2m0zRUWyVQDUQmp0vL7UU7lMD5Dj7uOakugnTC/xpey+rQ==

Non-Repudiation & Integrity check signature for the requesting

string
required
Defaults to 1

Brick's client ID

string
required
Defaults to 80deeaaf-c433-46eb-b771-b6c3ff0950e3

Unique external identifier for the API request that can be found on Brick Dashboard Credentials

string
required
Defaults to A0

Brick's channel id

Responses

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json